commit: 1ca007c22b7e0fd67b90aa52d8788e4dbee51d86
Author: Rick Farina <zerochaos <AT> gentoo <DOT> org>
AuthorDate: Wed Apr 24 02:39:36 2019 +0000
Commit: Rick Farina <zerochaos <AT> gentoo <DOT> org>
CommitDate: Wed Apr 24 02:39:52 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1ca007c2
net-wireless/wpa_supplicant: bump
some minor changes trying to enable things which make sense
Package-Manager: Portage-2.3.64, Repoman-2.3.12
Signed-off-by: Rick Farina <zerochaos <AT> gentoo.org>
net-wireless/wpa_supplicant/Manifest | 1 +
net-wireless/wpa_supplicant/metadata.xml | 1 +
...licant-9999.ebuild => wpa_supplicant-2.8.ebuild} | 21 ++++++++++++++++-----
.../wpa_supplicant/wpa_supplicant-9999.ebuild | 12 ++++++++----
4 files changed, 26 insertions(+), 9 deletions(-)
diff --git a/net-wireless/wpa_supplicant/Manifest
b/net-wireless/wpa_supplicant/Manifest
index 6c70e97a288..5bfd97437ba 100644
--- a/net-wireless/wpa_supplicant/Manifest
+++ b/net-wireless/wpa_supplicant/Manifest
@@ -1,2 +1,3 @@
DIST wpa_supplicant-2.6.tar.gz 2753524 BLAKE2B
99c61326c402f60b384fa6c9a7381e43d4d021d7e44537a6e05552909270f30997da91b690d8a30aa690f0d1ce0aed7798bd8bb8972fcf6830c282ccc91193ac
SHA512
46442cddb6ca043b8b08d143908f149954c238e0f3a57a0df73ca4fab9c1acd91b078f3f26375a1d99cd1d65625986328018c735d8705882c8f91e389cad28a6
DIST wpa_supplicant-2.7.tar.gz 3093713 BLAKE2B
bbf961b6e13757e9d7bb8b9de1808382a551265cd2d54de14e24bde3567aa5298b48fdcd0df75db79189a051532c54b28eab5519c32fc8fc00459365b57039aa
SHA512
8b6eb5b5f30d351c73db63d73c09f24028a18166246539b4a4f89f0d226fb42751afa2ff72296df33317f615150325d285e8e7bda30e0d88abcdc9637ab731d3
+DIST wpa_supplicant-2.8.tar.gz 3155904 BLAKE2B
260b4830949a3e051ef4f33f279b3b225ab9fd95100e4b270d29af457cf07601421fac636d9f1d8927271d7c76aecb0b7c93ddab35203e31a0fd84c3e327d951
SHA512
b37d254d32a4b7a1f95fcb18ec1be0ffb9d025e0b21c42c53acc4cd839be355df1b125b32cc073f9fe09b746807321e23dbe25dc2fc8a7cafa1e71add69f245b
diff --git a/net-wireless/wpa_supplicant/metadata.xml
b/net-wireless/wpa_supplicant/metadata.xml
index 4d369c2c386..a2085baaa25 100644
--- a/net-wireless/wpa_supplicant/metadata.xml
+++ b/net-wireless/wpa_supplicant/metadata.xml
@@ -10,6 +10,7 @@
<flag name="eap-sim">Add support for EAP-SIM authentication
algorithm</flag>
<flag name="eapol_test">Build and install eapol_test
binary</flag>
<flag name="fasteap">Add support for FAST-EAP authentication
algorithm</flag>
+ <flag name="fils">Add support for Fast Initial Link Setup
(802.11ai)</flag>
<flag name="hs2-0">Add support for 802.11u and Passpoint for
HotSpot 2.0</flag>
<flag name="macsec">Add support for wired macsec</flag>
<flag name="p2p">Add support for Wi-Fi Direct mode</flag>
diff --git a/net-wireless/wpa_supplicant/wpa_supplicant-9999.ebuild
b/net-wireless/wpa_supplicant/wpa_supplicant-2.8.ebuild
similarity index 94%
copy from net-wireless/wpa_supplicant/wpa_supplicant-9999.ebuild
copy to net-wireless/wpa_supplicant/wpa_supplicant-2.8.ebuild
index e0e179eeae0..69128d52bd2 100644
--- a/net-wireless/wpa_supplicant/wpa_supplicant-9999.ebuild
+++ b/net-wireless/wpa_supplicant/wpa_supplicant-2.8.ebuild
@@ -18,7 +18,7 @@ else
fi
SLOT="0"
-IUSE="ap bindist dbus eap-sim eapol_test fasteap +hs2-0 libressl macsec p2p
privsep ps3 qt5 readline selinux smartcard tdls uncommon-eap-types wimax wps
kernel_linux kernel_FreeBSD"
+IUSE="ap bindist dbus eap-sim eapol_test fasteap +fils +hs2-0 libressl macsec
p2p privsep ps3 qt5 readline selinux smartcard tdls uncommon-eap-types wimax
wps kernel_linux kernel_FreeBSD"
CDEPEND="dbus? ( sys-apps/dbus )
kernel_linux? (
@@ -138,6 +138,8 @@ src_configure() {
Kconfig_style_config OCV
Kconfig_style_config TLSV11
Kconfig_style_config TLSV12
+ Kconfig_style_config GETRANDOM
+ Kconfig_style_config MBO
# Basic authentication methods
# NOTE: we don't set GPSK or SAKE as they conflict
@@ -211,19 +213,23 @@ src_configure() {
Kconfig_style_config TLS openssl
Kconfig_style_config FST
- if ! use bindist; then
+ if ! use bindist || use libressl; then
Kconfig_style_config EAP_PWD
- Kconfig_style_config FILS
- Kconfig_style_config FILS_SK_PFS
+ if use fils; then
+ Kconfig_style_config FILS
+ Kconfig_style_config FILS_SK_PFS
+ fi
# Enabling mesh networks.
Kconfig_style_config MESH
#WPA3
Kconfig_style_config OWE
Kconfig_style_config SAE
Kconfig_style_config DPP
- Kconfig_style_config SUITEB
Kconfig_style_config SUITEB192
fi
+ if ! use bindist && ! use libressl; then
+ Kconfig_style_config SUITEB
+ fi
if use smartcard ; then
Kconfig_style_config SMARTCARD
@@ -412,6 +418,11 @@ pkg_postinst() {
ewarn "This is incredibly undesirable"
fi
fi
+ if use libressl; then
+ ewarn "Libressl doesn't support SUITEB (part of WPA3)"
+ ewarn "but it does support SUITEB192 (the upgraded strength
version of the same)"
+ ewarn "You probably don't care. Patches welcome"
+ fi
# Mea culpa, feel free to remove that after some time --mgorny.
local fn
diff --git a/net-wireless/wpa_supplicant/wpa_supplicant-9999.ebuild
b/net-wireless/wpa_supplicant/wpa_supplicant-9999.ebuild
index e0e179eeae0..d5ae9e59fef 100644
--- a/net-wireless/wpa_supplicant/wpa_supplicant-9999.ebuild
+++ b/net-wireless/wpa_supplicant/wpa_supplicant-9999.ebuild
@@ -18,7 +18,7 @@ else
fi
SLOT="0"
-IUSE="ap bindist dbus eap-sim eapol_test fasteap +hs2-0 libressl macsec p2p
privsep ps3 qt5 readline selinux smartcard tdls uncommon-eap-types wimax wps
kernel_linux kernel_FreeBSD"
+IUSE="ap bindist dbus eap-sim eapol_test fasteap +fils +hs2-0 libressl macsec
p2p privsep ps3 qt5 readline selinux smartcard tdls uncommon-eap-types wimax
wps kernel_linux kernel_FreeBSD"
CDEPEND="dbus? ( sys-apps/dbus )
kernel_linux? (
@@ -138,6 +138,8 @@ src_configure() {
Kconfig_style_config OCV
Kconfig_style_config TLSV11
Kconfig_style_config TLSV12
+ Kconfig_style_config GETRANDOM
+ Kconfig_style_config MBO
# Basic authentication methods
# NOTE: we don't set GPSK or SAKE as they conflict
@@ -211,10 +213,12 @@ src_configure() {
Kconfig_style_config TLS openssl
Kconfig_style_config FST
- if ! use bindist; then
+ if ! use bindist || use libressl; then
Kconfig_style_config EAP_PWD
- Kconfig_style_config FILS
- Kconfig_style_config FILS_SK_PFS
+ if use fils; then
+ Kconfig_style_config FILS
+ Kconfig_style_config FILS_SK_PFS
+ fi
# Enabling mesh networks.
Kconfig_style_config MESH
#WPA3